| Home | Libraries | People | FAQ | More

## Macro BOOST_PROTO_ASSERT_MATCHES_NOT

BOOST_PROTO_ASSERT_MATCHES_NOT — Assert at compile time that a particular expression does not match the specified grammar.

## Synopsis

    // In header: <boost/proto/debug.hpp>

    BOOST_PROTO_ASSERT_MATCHES_NOT(expr, Grammar)

## Description

Use `BOOST_PROTO_ASSERT_MATCHES_NOT()` to assert at compile-time that an expression does not match a grammar.

Example:

    typedef proto::plus< proto::terminal< int >, proto::terminal< int > > PlusInts;

    BOOST_PROTO_ASSERT_MATCHES_NOT( proto::lit("a string") + 42, PlusInts );

See also:

- `proto::assert_matches()`
- `proto::assert_matches_not()`
- `BOOST_PROTO_ASSERT_MATCHES()`